setup virtualenv python

Installation

https://virtualenv.pypa.io/en/stable/installation/
$ curl -O https://pypi.python.org/packages/source/v/virtualenv/virtualenv-X.X.tar.gz
$ tar xvfz virtualenv-X.X.tar.gz ( virtualenv-15.1.0.tar.gz )
$ cd virtualenv-X.X
$ python virtualenv.py myVE

Setup Virtual Environment

$ python virtualenv.py Py_2.7.13

Activate Virtual Environment ( Activate Script )

$ source bin/activate

Deactivate Virtual Environment

$ deactivate

Removing an Environment

$ deactivate
$ rm -r /path/to/ENV

Running the Tests

$ python setup.py test

Install Scientific Packages

$ pip install nose pandas numpy scipy pytest

Result of Installing Packages

$ pip install nose pandas numpy scipy pytest
Collecting nose
  Downloading nose-1.3.7-py2-none-any.whl (154kB)
    100% |████████████████████████████████| 163kB 162kB/s 
Collecting pandas
  Downloading pandas-0.20.1-cp27-cp27mu-manylinux1_x86_64.whl (22.3MB)
    100% |████████████████████████████████| 22.3MB 29kB/s 
Collecting numpy
  Downloading numpy-1.12.1-cp27-cp27mu-manylinux1_x86_64.whl (16.5MB)
    100% |████████████████████████████████| 16.5MB 42kB/s 
Collecting scipy
  Downloading scipy-0.19.0-cp27-cp27mu-manylinux1_x86_64.whl (45.0MB)
    100% |████████████████████████████████| 45.0MB 17kB/s 
Collecting pytest
  Downloading pytest-3.1.0-py2.py3-none-any.whl (178kB)
    100% |████████████████████████████████| 184kB 136kB/s 
Collecting pytz>=2011k (from pandas)
  Downloading pytz-2017.2-py2.py3-none-any.whl (484kB)
    100% |████████████████████████████████| 491kB 276kB/s 
Collecting python-dateutil (from pandas)
  Downloading python_dateutil-2.6.0-py2.py3-none-any.whl (194kB)
    100% |████████████████████████████████| 194kB 198kB/s 
Requirement already satisfied: setuptools in ./lib/python2.7/site-packages (from pytest)
Collecting py>=1.4.29 (from pytest)
  Downloading py-1.4.33-py2.py3-none-any.whl (83kB)
    100% |████████████████████████████████| 92kB 309kB/s 
Requirement already satisfied: six>=1.5 in ./lib/python2.7/site-packages (from python-dateutil->pandas)
Requirement already satisfied: appdirs>=1.4.0 in ./lib/python2.7/site-packages (from setuptools->pytest)
Requirement already satisfied: packaging>=16.8 in ./lib/python2.7/site-packages (from setuptools->pytest)
Requirement already satisfied: pyparsing in ./lib/python2.7/site-packages (from packaging>=16.8->setuptools->pytest)
Installing collected packages: nose, pytz, python-dateutil, numpy, pandas, scipy, py, pytest
Successfully installed nose-1.3.7 numpy-1.12.1 pandas-0.20.1 py-1.4.33 pytest-3.1.0 python-dateutil-2.6.0 pytz-2017.2 scipy-0.19.0
$

Result of pip freeze;  alert

$ pip freeze;  alert
appdirs==1.4.3
nose==1.3.7
numpy==1.12.1
packaging==16.8
pandas==0.20.1
py==1.4.33
pyparsing==2.2.0
pytest==3.1.0
python-dateutil==2.6.0
pytz==2017.2
scipy==0.19.0
six==1.10.0
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s